var arr99 = []; //保存选中的变量
var arrDelPd = []; //回显数据中被取消的变量

$(function() {

    //树形结构
    function treeOpenOrClose() {
        $('.tree li:has(ul)').addClass('parent_li').find(' > span').attr('title', 'Collapse this branch');
        $('.tree li.parent_li > span').on('click', function(e) {
            var children = $(this).parent('li.parent_li').find(' > ul > li');
            if (children.is(":visible")) {
                children.hide('fast');
                $(this).attr('title', 'Expand this branch').find(' > i').addClass('icon-plus-sign').removeClass('icon-minus-sign');
            } else {
                children.show('fast');
                $(this).attr('title', 'Collapse this branch').find(' > i').addClass('icon-minus-sign').removeClass('icon-plus-sign');
            }
            e.stopPropagation();
        });
    }
    treeOpenOrClose();

    // 表格单选框选项卡
    $(document).on('click', '.pure-table  tbody:not(.multipleChoice)  tr', function() {
        $(this).addClass("selected").siblings().removeClass("selected");
        $(this).find(".status").addClass('checked').parent().siblings().find(".status").removeClass('checked');

    })
})


/** 多选start*/

//复选框 选中 取消选中  
$(document).on('click', '.pure-table tbody.multipleChoice  tr', function() {

    if ($(this).hasClass('selected')) {
        $(this).removeClass('selected')
        $(this).find("td:eq(0)").removeClass('checked');
        filterAll();

        removeByValue(arr99, $(this).find("td:eq(0)").data('id'));

        console.log('数组变量')
        console.log(arr99)

        if (arrDelPd.indexOf($(this).find("td:eq(0)").data('id')) > -1) {

        }

    } else {
        $(this).addClass("selected");
        $(this).find("td:eq(0)").addClass('checked');

        filterAll()

        arr99.push($(this).find("td:eq(0)").data('id'))
        console.log('数组变量')
        console.log(arr99)

    }
});


//过滤是否全部为选中状态
function filterAll() {
    var allCheckNum = $(".pure-table tbody.multipleChoice  tr").length;
    var checkedNum = $(".pure-table tbody.multipleChoice  .selected").length;
    // console.log('比较')
    // console.log(allCheckNum)
    // console.log(checkedNum)
    if (allCheckNum && allCheckNum == checkedNum) {
        $('.checkall').addClass('checked')
    } else {
        $('.checkall').removeClass('checked')
    }
}

//全选 取消全选
$(".checkall").click(function() {
    if ($(this).hasClass('checked')) {
        $(this).removeClass('checked');
        $(".pure-table tbody.multipleChoice  tr").removeClass("selected")
        $(".pure-table tbody.multipleChoice  tr").find("td:eq(0)").removeClass('checked');

        $(".pure-table-inner #dataList2 td").each(function() {
            removeByValue(arr99, $(this).data('id'));
        });
        alert(arr99)

    } else {
        $(".pure-table tbody.multipleChoice  tr").addClass("selected")
        $(".pure-table tbody.multipleChoice  tr").find("td:eq(0)").addClass('checked');
        $(this).addClass('checked');

        $(".pure-table-inner #dataList2 td.checked").each(function() {
            arr99.push($(this).data('id'));
        });
        arr99 = unique(arr99)
        alert(arr99)
    }

});

/** 多选end*/